func void ZS_AssessAggressor ()
// Angreiferbeurteilung
{	
	PrintDebug (" ZS_AssessAggressor");

	B_AssessAndMemorize	(NEWS_ATTACK, NEWS_SOURCE_WITNESS);
	
	if (Npc_GetAttitude(self,other) == ATT_ANGRY)
	{
		B_DrawWeapon(self);
		B_Say(self, "$WhatAreYouDoing");	
	};
	
	B_LookAt (self,other,3);


/*
	if (Npc_IsAiming(other,self)) // Zielt wer auf mich
	{
		if (Npc_IsFriendly(other)) // Freund?
		{
			Npc_DecreaseTempAttitude (self);
			B_AssessAndMemorize	(NEWS_ATTACK, NEWS_SOURCE_WITNESS);
			B_Say (self,"$WhatAreYouDoing"); 
			
		}
		else if (self.TEMP_ATTITUDE != ATT_HOSTILE )	
		{
			Npc_DecreaseTempAttitude (self);
			Npc_DecreaseTempAttitude (self);
			//-------News kreieren--------
			B_AssessAndMemorize	(NEWS_ATTACK, NEWS_SOURCE_WITNESS);
			//-------Agressor merken------
			
		}
		else if (self.ATTITUDE == ATT_NEUTRAL)
		{
			Npc_DecreaseTempAttitude (self);
			//------News kreieren-----------
			B_AssessAndMemorize	(NEWS_ATTACK, NEWS_SOURCE_WITNESS);
			B_Say (self, "Hey Freund was soll das ?");
		}
		else if (self.ATTITUDE > ATT_NEUTRAL)
		{
			Npc_DecreaseTempAttitude (self);
			Npc_DecreaseTempAttitude (self);
			//------News kreieren-----------
			B_AssessAndMemorize	(NEWS_ATTACK, NEWS_SOURCE_WITNESS);
		};
	};
	B_LookAt (self,other);
*/
};

